{
    attributes = (
        {
            allowsNull = N; 
            columnName = "ID_TYPE_TVA"; 
            externalType = NUMBER; 
            name = idTypeTva; 
            valueClassName = NSNumber; 
            valueType = l; 
        }, 
        {
            allowsNull = Y; 
            columnName = "LIB_TYPE_TVA"; 
            externalType = VARCHAR2; 
            name = libTypeTva; 
            valueClassName = NSString; 
            valueType = S; 
            width = 250; 
        }
    ); 
    className = "org.cocktail.fwkcktlinternat.serveur.metier.EOTypeTva"; 
    classProperties = (elementAssocies, formules, libTypeTva, ligneFactures, tvas); 
    externalName = "LITCHI.TYPE_TVA"; 
    fetchSpecificationDictionary = {}; 
    name = "FwkInternat_TypeTva"; 
    primaryKeyAttributes = (idTypeTva); 
    relationships = (
        {
            destination = "FwkInternat_ElementAssocie"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = typeTvaEa; sourceAttribute = idTypeTva; }); 
            name = elementAssocies; 
        }, 
        {
            destination = "FwkInternat_Formule"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = typeTvaRest; sourceAttribute = idTypeTva; }); 
            name = formules; 
        }, 
        {
            destination = "FwkInternat_LigneFacture"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = typeTvaLf; sourceAttribute = idTypeTva; }); 
            name = ligneFactures; 
        }, 
        {
            destination = "FwkInternat_Tva"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = idTypeTva; sourceAttribute = idTypeTva; }); 
            name = tvas; 
        }
    ); 
}
